> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/itservices/models/customer-confidence-factor-ccf-api/endpoints.md).

# Endpoints

## Retrieve CCF values for Specific Accounts

> Fetches CCF values for a specified list of account IDs under a given bookmaker and sub-bookmaker. If there are multiple pages of results, the response may include a lastEvaluatedKey for pagination.

```json
{"openapi":"3.0.1","info":{"title":"CCF API","version":"2025-10-06T18:32:42Z"},"servers":[{"url":"https://api.insighttechservices.sportradar.com/{basePath}","variables":{"basePath":{"default":"api/ccf"}}}],"security":[{"ccf-api-req-authorizer":[]}],"components":{"securitySchemes":{"ccf-api-req-authorizer":{"type":"apiKey","description":"Bearer authentication header of the form Bearer \\<TOKEN\\>.","name":"Unused","in":"header"}},"schemas":{"CcfResponse":{"required":["queryExecutionTime","requestId","responseItem","responseMessage","responseStatus"],"type":"object","properties":{"lastEvaluatedKey":{"type":"string"},"queryExecutionTime":{"type":"integer"},"requestId":{"type":"string"},"responseItem":{"$ref":"#/components/schemas/CcfResponseResponseItem"},"responseMessage":{"type":"string"},"responseStatus":{"type":"string","enum":["SUCCESSFUL","VALIDATION_FAILED","ERROR","KEY_NOT_FOUND"]}}},"CcfResponseResponseItem":{"type":"object","properties":{"customers":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItem"}},"shops":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemShopsItem"}},"terminals":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemTerminalsItem"}}},"additionalProperties":false},"CcfResponseResponseItemCustomersItem":{"required":["C"],"type":"object","properties":{"C":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"CcfResponseResponseItemCustomersItemC":{"required":["ccf","id","srcId"],"type":"object","properties":{"ccf":{"pattern":"^(\\d{1,2}(\\.\\d{1,2})?|100(\\.00?)?)$","type":"string"},"id":{"type":"string"},"srcId":{"type":"string"}},"additionalProperties":false},"CcfResponseResponseItemShopsItem":{"required":["S"],"type":"object","properties":{"S":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"CcfResponseResponseItemTerminalsItem":{"required":["T"],"type":"object","properties":{"T":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"ResponseExample":{"required":["queryExecutionTime","requestId","responseItem","responseMessage","responseStatus"],"type":"object","properties":{"lastEvaluatedKey":{"type":"string","enum":["83hdf97f98f"]},"queryExecutionTime":{"type":"integer","enum":[5]},"requestId":{"type":"string","enum":["c81d9e0b-d122-4e5a-b8e1-24c6c5113419"]},"responseItem":{"$ref":"#/components/schemas/ResponseExampleResponseItem"},"responseMessage":{"type":"string","enum":["Number of items found: 1"]},"responseStatus":{"type":"string","enum":["SUCCESSFUL"]}}},"ResponseExampleResponseItem":{"type":"object","properties":{"customers":{"type":"array","items":{"$ref":"#/components/schemas/ResponseExampleResponseItemCustomersItem"}}},"additionalProperties":false},"ResponseExampleResponseItemCustomersItem":{"required":["C"],"type":"object","properties":{"C":{"$ref":"#/components/schemas/ResponseExampleResponseItemCustomersItemC"}},"additionalProperties":false},"ResponseExampleResponseItemCustomersItemC":{"required":["ccf","id","srcId"],"type":"object","properties":{"ccf":{"type":"string","enum":["1.3"]},"id":{"type":"string","enum":["abc"]},"srcId":{"type":"string","enum":["1234:5678:::abc"]}},"additionalProperties":false},"Unauthorized":{"title":"Unauthorized","type":"object","properties":{"message":{"type":"string","enum":["Authorization error, please contact support."]}}},"Forbidden":{"title":"Forbidden","type":"object","properties":{"message":{"type":"string","enum":["You do not have permission to access this resource."]}}},"Throttled":{"title":"Throttled","type":"object","properties":{"message":{"type":"string","enum":["Request throttled! Try again later."]}}},"InternalError":{"title":"Internal Server Error","type":"object","properties":{"message":{"type":"string","enum":["Internal server error, please contact support."]}}}}},"paths":{"/v1/bookmakers/{bookmaker}/sub-bookmakers/{sub-bookmaker}/source":{"get":{"tags":["Endpoints"],"summary":"Retrieve CCF values for Specific Accounts","description":"Fetches CCF values for a specified list of account IDs under a given bookmaker and sub-bookmaker. If there are multiple pages of results, the response may include a lastEvaluatedKey for pagination.","operationId":"Ccf Source","parameters":[{"name":"customer","in":"query","description":"Comma-separated list of customer IDs to retrieve data for. Customers should belong to bookmaker, sub_bookmaker. At least one of the customer/shop/terminal query parameter is mandatory.","schema":{"type":"string"}},{"name":"terminal","in":"query","description":"Comma-separated list of terminal IDs to retrieve data for. Terminals should belong to bookmaker, sub_bookmaker. At least one of the customer/shop/terminal query parameter is mandatory.","schema":{"type":"string"}},{"name":"shop","in":"query","description":"Comma-separated list of shop IDs to retrieve data for. Shops should belong to bookmaker, sub_bookmaker. At least one of the customer/shop/terminal query parameter is mandatory.","schema":{"type":"string"}},{"name":"bookmaker","in":"path","description":"Identifier for the bookmaker. Generated by Sportradar, contact your OAM or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"type":"string"}},{"name":"sub-bookmaker","in":"path","description":"Identifier for the sub-bookmaker. Generated by Sportradar, contact your OAM or CI engineer in case of any issues with obtaining the correct value. Value * retrieves all data for a bookmaker.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CcfResponse"}},"application/example":{"schema":{"$ref":"#/components/schemas/ResponseExample"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}},"429":{"description":"Throttled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Throttled"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}}}}}}
```

## Retrieve CCF values in a Range

> Fetches CCF values for accounts under a bookmaker and sub-bookmaker whose values fall within a specified range. If there are multiple pages of results, the response may include a lastEvaluatedKey for pagination.

```json
{"openapi":"3.0.1","info":{"title":"CCF API","version":"2025-10-06T18:32:42Z"},"servers":[{"url":"https://api.insighttechservices.sportradar.com/{basePath}","variables":{"basePath":{"default":"api/ccf"}}}],"security":[{"ccf-api-req-authorizer":[]}],"components":{"securitySchemes":{"ccf-api-req-authorizer":{"type":"apiKey","description":"Bearer authentication header of the form Bearer \\<TOKEN\\>.","name":"Unused","in":"header"}},"schemas":{"CcfResponse":{"required":["queryExecutionTime","requestId","responseItem","responseMessage","responseStatus"],"type":"object","properties":{"lastEvaluatedKey":{"type":"string"},"queryExecutionTime":{"type":"integer"},"requestId":{"type":"string"},"responseItem":{"$ref":"#/components/schemas/CcfResponseResponseItem"},"responseMessage":{"type":"string"},"responseStatus":{"type":"string","enum":["SUCCESSFUL","VALIDATION_FAILED","ERROR","KEY_NOT_FOUND"]}}},"CcfResponseResponseItem":{"type":"object","properties":{"customers":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItem"}},"shops":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemShopsItem"}},"terminals":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemTerminalsItem"}}},"additionalProperties":false},"CcfResponseResponseItemCustomersItem":{"required":["C"],"type":"object","properties":{"C":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"CcfResponseResponseItemCustomersItemC":{"required":["ccf","id","srcId"],"type":"object","properties":{"ccf":{"pattern":"^(\\d{1,2}(\\.\\d{1,2})?|100(\\.00?)?)$","type":"string"},"id":{"type":"string"},"srcId":{"type":"string"}},"additionalProperties":false},"CcfResponseResponseItemShopsItem":{"required":["S"],"type":"object","properties":{"S":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"CcfResponseResponseItemTerminalsItem":{"required":["T"],"type":"object","properties":{"T":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"ResponseExample":{"required":["queryExecutionTime","requestId","responseItem","responseMessage","responseStatus"],"type":"object","properties":{"lastEvaluatedKey":{"type":"string","enum":["83hdf97f98f"]},"queryExecutionTime":{"type":"integer","enum":[5]},"requestId":{"type":"string","enum":["c81d9e0b-d122-4e5a-b8e1-24c6c5113419"]},"responseItem":{"$ref":"#/components/schemas/ResponseExampleResponseItem"},"responseMessage":{"type":"string","enum":["Number of items found: 1"]},"responseStatus":{"type":"string","enum":["SUCCESSFUL"]}}},"ResponseExampleResponseItem":{"type":"object","properties":{"customers":{"type":"array","items":{"$ref":"#/components/schemas/ResponseExampleResponseItemCustomersItem"}}},"additionalProperties":false},"ResponseExampleResponseItemCustomersItem":{"required":["C"],"type":"object","properties":{"C":{"$ref":"#/components/schemas/ResponseExampleResponseItemCustomersItemC"}},"additionalProperties":false},"ResponseExampleResponseItemCustomersItemC":{"required":["ccf","id","srcId"],"type":"object","properties":{"ccf":{"type":"string","enum":["1.3"]},"id":{"type":"string","enum":["abc"]},"srcId":{"type":"string","enum":["1234:5678:::abc"]}},"additionalProperties":false},"Unauthorized":{"title":"Unauthorized","type":"object","properties":{"message":{"type":"string","enum":["Authorization error, please contact support."]}}},"Forbidden":{"title":"Forbidden","type":"object","properties":{"message":{"type":"string","enum":["You do not have permission to access this resource."]}}},"Throttled":{"title":"Throttled","type":"object","properties":{"message":{"type":"string","enum":["Request throttled! Try again later."]}}},"InternalError":{"title":"Internal Server Error","type":"object","properties":{"message":{"type":"string","enum":["Internal server error, please contact support."]}}}}},"paths":{"/v1/bookmakers/{bookmaker}/sub-bookmakers/{sub-bookmaker}/range":{"get":{"tags":["Endpoints"],"summary":"Retrieve CCF values in a Range","description":"Fetches CCF values for accounts under a bookmaker and sub-bookmaker whose values fall within a specified range. If there are multiple pages of results, the response may include a lastEvaluatedKey for pagination.","operationId":"Ccf Range","parameters":[{"name":"higher","in":"query","description":"Higher threshold of the range to retrieve data for. At least one of the lower/higher query parameter is mandatory.","schema":{"type":"string"}},{"name":"lower","in":"query","description":"Lower threshold of the range to retrieve data for. At least one of the lower/higher query parameter is mandatory.","schema":{"type":"string"}},{"name":"startKey","in":"query","description":"The response will start from a provided startKey, which is the same as lastEvaluatedKey from a previous call","schema":{"type":"string"}},{"name":"type","in":"query","description":"Get data only for certain type. Allowed values are customer, shop or terminal","schema":{"type":"string"}},{"name":"bookmaker","in":"path","description":"Identifier for the bookmaker. Generated by Sportradar, contact your OAM or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"type":"string"}},{"name":"sub-bookmaker","in":"path","description":"Identifier for the sub-bookmaker. Generated by Sportradar, contact your OAM or CI engineer in case of any issues with obtaining the correct value. Value * retrieves all data for a bookmaker.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CcfResponse"}},"application/example":{"schema":{"$ref":"#/components/schemas/ResponseExample"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}},"429":{"description":"Throttled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Throttled"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}}}}}}
```

## Retrieve All Ccf values

> Fetches CCF values for all accounts associated with a specific bookmaker and sub-bookmaker. If there are multiple pages of results, the response may include a lastEvaluatedKey for pagination.

```json
{"openapi":"3.0.1","info":{"title":"CCF API","version":"2025-10-06T18:32:42Z"},"servers":[{"url":"https://api.insighttechservices.sportradar.com/{basePath}","variables":{"basePath":{"default":"api/ccf"}}}],"security":[{"ccf-api-req-authorizer":[]}],"components":{"securitySchemes":{"ccf-api-req-authorizer":{"type":"apiKey","description":"Bearer authentication header of the form Bearer \\<TOKEN\\>.","name":"Unused","in":"header"}},"schemas":{"CcfResponse":{"required":["queryExecutionTime","requestId","responseItem","responseMessage","responseStatus"],"type":"object","properties":{"lastEvaluatedKey":{"type":"string"},"queryExecutionTime":{"type":"integer"},"requestId":{"type":"string"},"responseItem":{"$ref":"#/components/schemas/CcfResponseResponseItem"},"responseMessage":{"type":"string"},"responseStatus":{"type":"string","enum":["SUCCESSFUL","VALIDATION_FAILED","ERROR","KEY_NOT_FOUND"]}}},"CcfResponseResponseItem":{"type":"object","properties":{"customers":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItem"}},"shops":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemShopsItem"}},"terminals":{"type":"array","items":{"$ref":"#/components/schemas/CcfResponseResponseItemTerminalsItem"}}},"additionalProperties":false},"CcfResponseResponseItemCustomersItem":{"required":["C"],"type":"object","properties":{"C":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"CcfResponseResponseItemCustomersItemC":{"required":["ccf","id","srcId"],"type":"object","properties":{"ccf":{"pattern":"^(\\d{1,2}(\\.\\d{1,2})?|100(\\.00?)?)$","type":"string"},"id":{"type":"string"},"srcId":{"type":"string"}},"additionalProperties":false},"CcfResponseResponseItemShopsItem":{"required":["S"],"type":"object","properties":{"S":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"CcfResponseResponseItemTerminalsItem":{"required":["T"],"type":"object","properties":{"T":{"$ref":"#/components/schemas/CcfResponseResponseItemCustomersItemC"}},"additionalProperties":false},"ResponseExample":{"required":["queryExecutionTime","requestId","responseItem","responseMessage","responseStatus"],"type":"object","properties":{"lastEvaluatedKey":{"type":"string","enum":["83hdf97f98f"]},"queryExecutionTime":{"type":"integer","enum":[5]},"requestId":{"type":"string","enum":["c81d9e0b-d122-4e5a-b8e1-24c6c5113419"]},"responseItem":{"$ref":"#/components/schemas/ResponseExampleResponseItem"},"responseMessage":{"type":"string","enum":["Number of items found: 1"]},"responseStatus":{"type":"string","enum":["SUCCESSFUL"]}}},"ResponseExampleResponseItem":{"type":"object","properties":{"customers":{"type":"array","items":{"$ref":"#/components/schemas/ResponseExampleResponseItemCustomersItem"}}},"additionalProperties":false},"ResponseExampleResponseItemCustomersItem":{"required":["C"],"type":"object","properties":{"C":{"$ref":"#/components/schemas/ResponseExampleResponseItemCustomersItemC"}},"additionalProperties":false},"ResponseExampleResponseItemCustomersItemC":{"required":["ccf","id","srcId"],"type":"object","properties":{"ccf":{"type":"string","enum":["1.3"]},"id":{"type":"string","enum":["abc"]},"srcId":{"type":"string","enum":["1234:5678:::abc"]}},"additionalProperties":false},"Unauthorized":{"title":"Unauthorized","type":"object","properties":{"message":{"type":"string","enum":["Authorization error, please contact support."]}}},"Forbidden":{"title":"Forbidden","type":"object","properties":{"message":{"type":"string","enum":["You do not have permission to access this resource."]}}},"Throttled":{"title":"Throttled","type":"object","properties":{"message":{"type":"string","enum":["Request throttled! Try again later."]}}},"InternalError":{"title":"Internal Server Error","type":"object","properties":{"message":{"type":"string","enum":["Internal server error, please contact support."]}}}}},"paths":{"/v1/bookmakers/{bookmaker}/sub-bookmakers/{sub-bookmaker}/list":{"get":{"tags":["Endpoints"],"summary":"Retrieve All Ccf values","description":"Fetches CCF values for all accounts associated with a specific bookmaker and sub-bookmaker. If there are multiple pages of results, the response may include a lastEvaluatedKey for pagination.","operationId":"Ccf List","parameters":[{"name":"startKey","in":"query","description":"The response will start from a provided startKey, which is the same as lastEvaluatedKey from a previous call","schema":{"type":"string"}},{"name":"type","in":"query","description":"Get data only for certain type. Allowed values are customer, shop or terminal","schema":{"type":"string"}},{"name":"bookmaker","in":"path","description":"Identifier for the bookmaker. Generated by Sportradar, contact your OAM or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"type":"string"}},{"name":"sub-bookmaker","in":"path","description":"Identifier for the sub-bookmaker. Generated by Sportradar, contact your OAM or CI engineer in case of any issues with obtaining the correct value. Value * retrieves all data for a bookmaker.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CcfResponse"}},"application/example":{"schema":{"$ref":"#/components/schemas/ResponseExample"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}},"429":{"description":"Throttled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Throttled"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/itservices/models/customer-confidence-factor-ccf-api/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
